org.apache.olingo.client.api.communication.request.invoke

## Interface InvokeRequestFactory

- All Known Subinterfaces:
    EdmEnabledInvokeRequestFactory

      public interface InvokeRequestFactory

  OData request factory class.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `<T extends ClientInvokeResult> ODataInvokeRequest<T>` | `getActionInvokeRequest(URI uri, Class<T> resultRef)` Gets an invoke request instance for the action bound to given URI (no parameters).
    `<T extends ClientInvokeResult> ODataInvokeRequest<T>` | `getActionInvokeRequest(URI uri, Class<T> resultRef, Map<String,ClientValue> parameters)` Gets an invoke request instance for the action bound to given URI (with parameters).
    `<T extends ClientInvokeResult> ODataInvokeRequest<T>` | `getFunctionInvokeRequest(URI uri, Class<T> resultRef)` Gets an invoke request instance for the function bound to given URI (no parameters).
    `<T extends ClientInvokeResult> ODataInvokeRequest<T>` | `getFunctionInvokeRequest(URI uri, Class<T> resultRef, Map<String,ClientValue> parameters)` Gets an invoke request instance for the function bound to given URI (with parameters).
    `<T extends ClientInvokeResult> ODataInvokeRequest<T>` | `getInvokeRequest(HttpMethod method, URI uri, Class<T> resultRef, Map<String,ClientValue> parameters)` Gets an invoke request instance for the operation bound to given URI.

- - ### Method Detail

    - #### getInvokeRequest

          <T extends ClientInvokeResult> ODataInvokeRequest<T> getInvokeRequest(HttpMethod method,
                                                                                URI uri,
                                                                                Class<T> resultRef,
                                                                                Map<String,ClientValue> parameters)

      Gets an invoke request instance for the operation bound to given URI.
      This method is mainly meant for internal usage, but defined for generic calls from proxy; normally, one of other methods should be used instead.
      Type Parameters:
        `T` - OData domain object result
      Parameters:
        `method` - HTTP invocation method
        `uri` - invocation URI
        `resultRef` - reference Class for result
        `parameters` - parameters to pass to function invocation
      Returns:
        new `ODataInvokeRequest` instance.

    - #### getFunctionInvokeRequest

          <T extends ClientInvokeResult> ODataInvokeRequest<T> getFunctionInvokeRequest(URI uri,
                                                                                        Class<T> resultRef)

      Gets an invoke request instance for the function bound to given URI (no parameters).
      Type Parameters:
        `T` - OData domain object result
      Parameters:
        `uri` - invocation URI
        `resultRef` - reference Class for result
      Returns:
        new `ODataInvokeRequest` instance.

    - #### getFunctionInvokeRequest

          <T extends ClientInvokeResult> ODataInvokeRequest<T> getFunctionInvokeRequest(URI uri,
                                                                                        Class<T> resultRef,
                                                                                        Map<String,ClientValue> parameters)

      Gets an invoke request instance for the function bound to given URI (with parameters).
      Type Parameters:
        `T` - OData domain object result
      Parameters:
        `uri` - invocation URI
        `resultRef` - reference Class for result
        `parameters` - parameters to pass to function invocation
      Returns:
        new `ODataInvokeRequest` instance.

    - #### getActionInvokeRequest

          <T extends ClientInvokeResult> ODataInvokeRequest<T> getActionInvokeRequest(URI uri,
                                                                                      Class<T> resultRef)

      Gets an invoke request instance for the action bound to given URI (no parameters).
      Type Parameters:
        `T` - OData domain object result
      Parameters:
        `uri` - invocation URI
        `resultRef` - reference Class for result
      Returns:
        new `ODataInvokeRequest` instance.

    - #### getActionInvokeRequest

          <T extends ClientInvokeResult> ODataInvokeRequest<T> getActionInvokeRequest(URI uri,
                                                                                      Class<T> resultRef,
                                                                                      Map<String,ClientValue> parameters)

      Gets an invoke request instance for the action bound to given URI (with parameters).
      Type Parameters:
        `T` - OData domain object result
      Parameters:
        `uri` - invocation URI
        `resultRef` - reference Class for result
        `parameters` - parameters to pass to action invocation
      Returns:
        new `ODataInvokeRequest` instance.

Copyright © 2013–2020 The Apache Software Foundation. All rights reserved.